Get General Statistics
/applications/{applicationName}/databases/{databaseName}/statistics
Returns general statistics of the specified database. Additional statistics can be retrieved using the expand parameter.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
-
expand:
Use
noneto show only general statistics (this is the default). Other options available:storage,runtime, andall.
Response
200 Response
OK
General database statistics returned successfully, with links to get expanded statistics.
400 Response
Bad Request
Failed to get the statistics. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get general statistics for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/databases/Basic/statistics?expand=all" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"general": {
"databaseStartTime": 1586308012000,
"databaseElapsedTime": "0:0:3:34",
"numberOfConnections": 1,
"numberOfDimensions": 10,
"loadStatus": "Loaded"
},
"storage": {
"maxKeyLengthBits": 0,
"maxKeyLengthBytes": 0,
"numberOfInputLevelCells": 0,
"numberOfIncrementalDataSlices": 0,
"numberOfIncrementalInputCells": 0,
"numberOfAggregateViews": 0,
"numberOfAggregateCells": 0,
"numberOfIncrementalAggregateCells": 0,
"costOfQueryingIncrementalData": 0,
"inputLevelDataSize": 0,
"aggregateDataSize": 0,
"numberOfExistingBlocks": 354,
"blockSize": 672,
"potentialNumberOfBlocks": 1900,
"existingLevelZeroBlocks": 354,
"existingUpperLevelBlocks": 0,
"blockDensity": 83.61904761904762,
"percentageOfMaximumBlocksExisting": 18.63157894736842,
"compressionRatio": 0.9943010752688172,
"averageClusteringRatio": 0.33334593787222777,
"pageFileSize": 294969,
"indexFileSize": 8216576
},
"runtime": {
"cacheHitRatio": 0,
"currentCacheSize": 0,
"currentCacheSizeLimit": 0,
"pageReadsSinceLastStartup": 0,
"pageWritesSinceLastStartup": 0,
"pageSize": 0,
"diskSpaceAllocatedForData": 0,
"diskSpaceUsedByData": 0,
"temporaryDiskSpaceAllocated": 0,
"temporaryDiskSpaceUsed": 0,
"hitRatioOnIndexCache": 0,
"hitRatioOnDataCache": 0,
"numberOfIndexPageReads": 0,
"numberOfIndexPageWrites": 0,
"numberOfDataBlockReads": 0,
"numberOfDataBlockWrites": 0,
"hitRatioOnDataFileCache": 0
}
}